PublicApiUpdateContactListMembers
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/contact-lists/{listId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"add": [
"<string>"
],
"remove": [
"<string>"
],
"acknowledgeCampaignEnrollment": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({add: ['<string>'], remove: ['<string>'], acknowledgeCampaignEnrollment: true})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/contact-lists/{listId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"listId": "<string>",
"added": 4503599627370495,
"removed": 4503599627370495
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Contacts
PublicApiUpdateContactListMembers
POST /api/v1/organizations//workspaces//contact-lists//members
POST
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{wsId}
/
contact-lists
/
{listId}
/
members
PublicApiUpdateContactListMembers
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/contact-lists/{listId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"add": [
"<string>"
],
"remove": [
"<string>"
],
"acknowledgeCampaignEnrollment": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({add: ['<string>'], remove: ['<string>'], acknowledgeCampaignEnrollment: true})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/contact-lists/{listId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"listId": "<string>",
"added": 4503599627370495,
"removed": 4503599627370495
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
Legacy compatibility bearer scheme for generated consumers.
Headers
Required string length:
1 - 200Path Parameters
Minimum string length:
1Minimum string length:
1Minimum string length:
1Body
application/json